# ArcPy サイト パッケージをインポート
import arcpy

# 空の Point & Array オブジェクトを作成
point = arcpy.Point()
array = arcpy.Array()

# Polyline の各頂点の XY 座標値としたい値のリストを作成
coordList = [[100, 200], [200, 400], [300, 700], [600, 800], [500, 700]]

# リストから XY 座標値を抽出し、作成した Point オブジェクトの座標値に割り当てる
for coord in coordList:
    point.X = coord[0]
    point.Y = coord[1]
    # Point オブジェクトを Array オブジェクトに追加
    array.add(point)

# 始点の座標値 を Point オブジェクトに指定
point.X = coordList[0][0]
point.Y = coordList[0][1]
# Array オブジェクトの最後に追加
array.add(point)

# Array オブジェクトを Polygon クラスの引数に格納
polygon = arcpy.Polygon(array)

# 作成した Polygon の面積を確認
print(polygon.area)

